Bug 40639 - Large zip file gets analyzed by 0015-FuzzyNames.py
Large zip file gets analyzed by 0015-FuzzyNames.py
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: ucslint
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.1-1-errata
Assigned To: Sönke Schwardt-Krummrich
Alexander Kläser
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-11 16:38 CET by Alexander Kläser
Modified: 2016-02-24 13:07 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2016-02-11 16:38:27 CET
A zip file should really be discarded as it only contains binary data.
Comment 1 Florian Best univentionstaff 2016-02-11 16:41:20 CET
Yes! It makes ucslint on system-setup very slow.
Comment 2 Alexander Kläser univentionstaff 2016-02-11 17:01:10 CET
(In reply to Florian Best from comment #1)
> Yes! It makes ucslint on system-setup very slow.

We have patch :) .
Comment 3 Sönke Schwardt-Krummrich univentionstaff 2016-02-11 17:57:52 CET
ucslint.yaml:
r67372 | Bug #40386, #40639: updated yaml
r67367 | Bug #40639: updated yaml

ucslint (5.0.3-1):
r67369 | Bug #40639: fix ignore_suffixes in FilteredDirWalkGenerator
r67368 | Bug #40639: no not scan all binary files for fuzzy strings

The following suffixes are now ignored for fuzzy string search:
['~','.gz', '.zip', '.bak', '.jpeg', '.jpg', '.png', '.svg', '.mo']

Additionally the ignore_suffixes code in FilteredDirWalkGenerator has been fixed.
Comment 4 Alexander Kläser univentionstaff 2016-02-17 11:54:09 CET
Changes: OK
YAML file: FAIL, please remove from 4.1-0 staging and update to 4.1-1 errata
Comment 5 Sönke Schwardt-Krummrich univentionstaff 2016-02-18 17:45:05 CET
(In reply to Alexander Kläser from comment #4)
> Changes: OK
> YAML file: FAIL, please remove from 4.1-0 staging and update to 4.1-1 errata

Fixed
Comment 6 Alexander Kläser univentionstaff 2016-02-19 11:37:34 CET
YAML file: OK, looks good now :) .

→ VERIFIED
Comment 7 Janek Walkenhorst univentionstaff 2016-02-24 13:07:47 CET
<http://errata.software-univention.de/ucs/4.1/117.html>